Bug 427235 - Drag and Dropped image files that are added as file-layers are not named after the filename.
Summary: Drag and Dropped image files that are added as file-layers are not named afte...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Layer Stack (show other bugs)
Version: 4.2.9
Platform: Other Other
: NOR normal
Target Milestone: ---
Assignee: Jonathan Colman
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2020-10-02 05:06 UTC by brah.rah
Modified: 2020-10-08 09:56 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brah.rah 2020-10-02 05:06:14 UTC
SUMMARY
Drag and Dropped image files that are added as file-layers are not named after the filename. Just layer"some number" When adding the layers as normal layers the naming of the layers works.

STEPS TO REPRODUCE
1. drag and drop any image file(s) to the canvas 
2. select insert as new file layer or insert as many file layers
3. check the layer names in the layer tab

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 vanyossi 2020-10-05 00:21:31 UTC
I cna confirm this bug
Comment 2 Jonathan Colman 2020-10-06 12:54:27 UTC
This should be an easy enough fix. Dibs!
Comment 3 Dmitry Kazakov 2020-10-08 09:55:32 UTC
Git commit 1f5ac84713e1be501c67170f4b5a894f7feacd21 by Dmitry Kazakov, on behalf of Jonathan Colman.
Committed on 08/10/2020 at 09:55.
Pushed by dkazakov into branch 'krita/4.3'.

Give meaningful name to Drag And Drop File Layer

Previously, File Layers made by dragging and dropping image where named
"File Layer <number>"; which isn't very meaningful. This commit names
Drag and Drop'd file layers by the name and format of the file.
i.e. "example.jpg"

M  +3    -1    libs/ui/KisView.cpp

https://invent.kde.org/graphics/krita/commit/1f5ac84713e1be501c67170f4b5a894f7feacd21
Comment 4 Dmitry Kazakov 2020-10-08 09:56:10 UTC
Closed with this MR: https://invent.kde.org/graphics/krita/-/merge_requests/516